From c6691eb3a21095f7068d6c606d88b95054697d59 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Sun, 29 Nov 2020 13:03:16 -0600
Subject: [PATCH 3/3] Remove references to old server behavior..

From Yaroslov: https://www.postgresql.org/message-id/1599765595731-0.post%40n3.nabble.com
---
 doc/src/sgml/gin.sgml        | 10 +---------
 doc/src/sgml/manage-ag.sgml  |  5 +----
 doc/src/sgml/ref/select.sgml | 26 --------------------------
 doc/src/sgml/xfunc.sgml      |  8 --------
 4 files changed, 2 insertions(+), 47 deletions(-)

diff --git a/doc/src/sgml/gin.sgml b/doc/src/sgml/gin.sgml
index cfbb1e0761..affdec0eed 100644
--- a/doc/src/sgml/gin.sgml
+++ b/doc/src/sgml/gin.sgml
@@ -477,14 +477,6 @@
   these components of a GIN index.
  </para>
 
- <para>
-  As of <productname>PostgreSQL</productname> 9.1, null key values can be
-  included in the index.  Also, placeholder nulls are included in the index
-  for indexed items that are null or contain no keys according to
-  <function>extractValue</function>.  This allows searches that should find empty
-  items to do so.
- </para>
-
  <para>
   Multicolumn <acronym>GIN</acronym> indexes are implemented by building
   a single B-tree over composite values (column number, key value).  The
@@ -507,7 +499,7 @@
    Updating a <acronym>GIN</acronym> index tends to be slow because of the
    intrinsic nature of inverted indexes: inserting or updating one heap row
    can cause many inserts into the index (one for each key extracted
-   from the indexed item). As of <productname>PostgreSQL</productname> 8.4,
+   from the indexed item).
    <acronym>GIN</acronym> is capable of postponing much of this work by inserting
    new tuples into a temporary, unsorted list of pending entries.
    When the table is vacuumed or autoanalyzed, or when
diff --git a/doc/src/sgml/manage-ag.sgml b/doc/src/sgml/manage-ag.sgml
index 74055a4706..1a127b7df1 100644
--- a/doc/src/sgml/manage-ag.sgml
+++ b/doc/src/sgml/manage-ag.sgml
@@ -536,10 +536,7 @@ SELECT spcname FROM pg_tablespace;
    point to each of the non-built-in tablespaces defined in the cluster.
    Although not recommended, it is possible to adjust the tablespace
    layout by hand by redefining these links. Under no circumstances perform
-   this operation while the server is running. Note that in PostgreSQL 9.1
-   and earlier you will also need to update the <structname>pg_tablespace</structname>
-   catalog with the new locations. (If you do not, <literal>pg_dump</literal> will
-   continue to output the old tablespace locations.)
+   this operation while the server is running.
   </para>
 
  </sect1>
diff --git a/doc/src/sgml/ref/select.sgml b/doc/src/sgml/ref/select.sgml
index 472b7cae81..1b6e019fa2 100644
--- a/doc/src/sgml/ref/select.sgml
+++ b/doc/src/sgml/ref/select.sgml
@@ -1604,20 +1604,6 @@ SELECT * FROM (SELECT * FROM mytable FOR UPDATE) ss WHERE col1 = 5;
     condition is not textually within the sub-query.
    </para>
 
-  <para>
-   Previous releases failed to preserve a lock which is upgraded by a later
-   savepoint.  For example, this code:
-<programlisting>
-BEGIN;
-SELECT * FROM mytable WHERE key = 1 FOR UPDATE;
-SAVEPOINT s;
-UPDATE mytable SET ... WHERE key = 1;
-ROLLBACK TO s;
-</programlisting>
-   would fail to preserve the <literal>FOR UPDATE</literal> lock after the
-   <command>ROLLBACK TO</command>.  This has been fixed in release 9.3.
-  </para>
-
   <caution>
    <para>
     It is possible for a <command>SELECT</command> command running at the <literal>READ
@@ -1934,18 +1920,6 @@ SELECT 2+2;
     by introducing a dummy one-row table from which to do the
     <command>SELECT</command>.
    </para>
-
-   <para>
-    Note that if a <literal>FROM</literal> clause is not specified,
-    the query cannot reference any database tables. For example, the
-    following query is invalid:
-<programlisting>
-SELECT distributors.* WHERE distributors.name = 'Westward';
-</programlisting><productname>PostgreSQL</productname> releases prior to
-    8.1 would accept queries of this form, and add an implicit entry
-    to the query's <literal>FROM</literal> clause for each table
-    referenced by the query. This is no longer allowed.
-   </para>
   </refsect2>
 
   <refsect2>
diff --git a/doc/src/sgml/xfunc.sgml b/doc/src/sgml/xfunc.sgml
index 2863f7c206..8f1e5f5e0b 100644
--- a/doc/src/sgml/xfunc.sgml
+++ b/doc/src/sgml/xfunc.sgml
@@ -275,14 +275,6 @@ but this will not work:
 INSERT INTO $1 VALUES (42);
 </programlisting>
     </para>
-
-    <note>
-     <para>
-      The ability to use names to reference SQL function arguments was added
-      in <productname>PostgreSQL</productname> 9.2.  Functions to be used in
-      older servers must use the <literal>$<replaceable>n</replaceable></literal> notation.
-     </para>
-    </note>
    </sect2>
 
    <sect2 id="xfunc-sql-base-functions">
-- 
2.17.0

